; theme-zh.asm
;
; Chinese theme data for Smart Boot Manager
;
; Copyright (C) 2000, Suzhe. See file COPYING for details.
;

; some constant used in this theme.

; PLEASE DO NOT CHANGE THESE, UNLESS YOU KNOW WHAT YOU ARE DOING!
%define SBMT_MAGIC      0x544D4253         ; magic number of
                                           ; Smart Boot Manager theme.
%define SBMT_VERSION    0x0300             ; version of theme.

        bits 16

%ifndef MAIN
        org 0                       ; DO NOT REMOVE/MODIFY THIS LINE!!!
%endif

start_of_theme:

;!!! PLEASE DON NOT CHANGE THE SIZE AND ORDER OF FOLLOWING DATA !!!

;=============================================================================
;the header of Smart Boot Manager theme ( 16 bytes )
;=============================================================================
theme_magic         dd  SBMT_MAGIC ; magic number = 'SBMT', 4 bytes.
                                   ; it's abbr. of 'Smart Boot Manager Theme'
                    dw  0          ;
theme_lang          db  'zh-gb',0  ; language of this theme, 6 bytes.
theme_version       dw  SBMT_VERSION ; version, high byte is major version,
                                   ; low byte is minor version. should be
                                   ; equal to the version of Smart Boot Manager.
theme_size          dw  (end_of_theme - start_of_theme)
                                   ; size of the theme (bytes).

;=============================================================================
; fix size data and index tables of variable size data
;=============================================================================

video_mode          db  0          ; 0 = 90x25, 0xff = 80x25
                                   ; do not use other value!!!

; position of screen elements
position:
.main_win_col       db  21         ; start column of main window
.main_win_row       db  6          ; start row of main window
.brand_col          db  255        ; start column of brand icon
                                   ; if = 255 then brand will be
                                   ; right justified in the screen.
.brand_row          db  0          ; start row of brand icon

; size of screen elements
size:
.help_win           dw  0x112e     ; 17 rows, 48 columns
.about_win          dw  0x0C34     ; 12 rows, 53 columns
.copyright          db  1          ; number of rows used by copyright info
.hint               db  1          ; number of rows used by hint info
.box_height         db  4          ; the height of info/error/input box
.main_win_height    db  12         ; the height of main window
.menu_height        db  8          ; the height of boot menu area

;Black          = 0
;Blue           = 1
;Green          = 2
;Cyan           = 3
;Red            = 4
;Violet         = 5
;Yellow (brown) = 6
;White          = 7
;Black (gray)   = 8
;Intense blue   = 9
;Intense green  = a
;Intense cyan   = b
;Intense red    = c
;Intense violet = d
;Intense yellow = e
;Intense white  = f

; color of screen elements
; high 4 bits is background color, low 4 bits is foreground color

color:
.main_win_frame     db  0x3F        ; main window
.main_win_title     db  0xF1        ;
.menu_title         db  0x1F        ;
.menu_normal        db  0x70        ; boot menu
.menu_focus         db  0x0F        ;
.delay_time         db  0x70        ; delay time
.background         db  0x80        ; background (if no background icon)
.copyright          db  0x70        ; copyright string
.hint               db  0x70        ; hint string
.input_box_frame    db  0xF1        ;
.input_box_title    db  0x1F        ; input box
.input_box_msg      db  0xF0        ;
.error_box_frame    db  0xCF        ;
.error_box_title    db  0xF1        ; error box
.error_box_msg      db  0xCF        ;
.info_box_frame     db  0xF1        ;
.info_box_title     db  0x1F        ; info box
.info_box_msg       db  0xF0        ;
.help_win_frame     db  0x3F        ;
.help_win_title     db  0xF1        ; help window
.help_msg           db  0x30        ;
.about_win_frame    db  0x3F        ;
.about_win_title    db  0xF1        ; about window
.about_msg          db  0x3E        ;

; icon data
icon:
.brand_size         dw  0x0104              ; the size of brand icon,
                                            ; high byte = row, low byte = col.
.brand              dw  icon_data.brand     ; offset of brand icon data, set to
                                            ; zero if no brand icon.

.background_size    dw  0                   ; the size of background icon,
                                            ; high byte = row, low byte = col.
.background         dw  0                   ; offset of background icon data,
                                            ; set to zero if no background icon.

; font data
font:
.number             dw  151                 ; number of chars to be replaced,
.data               dw  font_data           ; offset of font set data, set to
                                            ; zero if no font to be replaced.


; chars used by window frame
frame_char:
.top                db     0x20            ; top horizontal
.bottom             db     250            ; bottom horiztontal
.left               db     248            ; left vertical
.right              db     249            ; right vertical
.tl_corner          db     0x20            ; top left corner
.tr_corner          db     0x20            ; top right corner
.bl_corner          db     251            ; bottom left corner
.br_corner          db     252            ; bottom right corner

; how to draw window frame
draw_frame_method   db  2          ; = 0 means draw all frame using frame attr.
                                   ; = 1 means draw top horizontal line using
                                   ;     title attr.
                                   ; = 2 means draw top corners and horizontal
                                   ;     line using title attr.

; index table of strings
str_idx:
.main_win_title     dw  string.main_win_title
.menu_title         dw  string.menu_title
.about              dw  string.about
.error              dw  string.error
.help               dw  string.help
.info               dw  string.info
.input              dw  string.input

.delay_time         dw  string.delay_time
.name               dw  string.name
.new_root_passwd    dw  string.new_root_passwd
.root_passwd        dw  string.root_passwd
.new_record_passwd  dw  string.new_record_passwd
.record_passwd      dw  string.record_passwd
.retype_passwd      dw  string.retype_passwd

.copyright          dw  string.copyright
.hint               dw  string.hint
.about_content      dw  string.about_content
.help_content       dw  string.help_content

.changes_saved      dw  string.changes_saved
.passwd_changed     dw  string.passwd_changed
.ask_save_changes   dw  string.ask_save_changes

.wrong_passwd       dw  string.wrong_passwd
.disk_error         dw  string.disk_error
.mark_act_failed    dw  string.mark_act_failed
.toggle_hid_failed  dw  string.toggle_hid_failed
.no_system          dw  string.no_system
.invalid_record     dw  string.invalid_record

end_of_str_idx:

end_of_checksum_area:                   ; DO NOT REMOVE THIS LINE!!!
;=============================================================================
; variable size data
;=============================================================================

; icon data

; two bytes corresponding to a char,
; high byte is color, low byte is char code.
icon_data:
.brand:
db  244, 0x7C, 245, 0x7C, 246, 0x7C, 247, 0x7C

.background:

;
; font data
; each char occupied 17 bytes
; the first bytes is the ascii code used by this char
; the following 16 bytes is font data
;
; NOTE:
;   Do not replace ascii char 0 and 0x0d, these chars have special use.
;
font_data:
  db 1      ;-1
  db 0x00,0x7C,0x44,0x54,0x54,0x55,0x56,0x54,0x54,0x54,0x54,0x10,0x28,0x24,0x45,0x82
  db 2      ;-2
  db 0x40,0x40,0x44,0xFE,0x88,0x08,0x88,0x88,0x88,0x50,0x50,0x20,0x60,0x90,0x0E,0x04

  db 3      ;-1
  db 0x08,0x08,0xFF,0x08,0x7E,0x08,0xFF,0x08,0x11,0x3F,0xD1,0x11,0x11,0x11,0x11,0x01
  db 4      ;-2
  db 0x00,0x7C,0x48,0x50,0x58,0x44,0x64,0x58,0x40,0xF0,0x10,0x10,0x10,0x50,0x20,0x00

  db 5      ;-1
  db 0x08,0x0B,0x0A,0x12,0x12,0x33,0x32,0x50,0x9F,0x10,0x10,0x11,0x12,0x14,0x18,0x10
  db 6      ;-2
  db 0x08,0xFC,0x08,0x08,0x08,0xF8,0x40,0x44,0xFE,0x40,0xE0,0x50,0x48,0x4E,0x44,0x40

  db 7      ;-1
  db 0x10,0x10,0x23,0x22,0x4A,0xFB,0x12,0x22,0x43,0xF6,0x4A,0x03,0x1A,0xE2,0x42,0x02
  db 8      ;-2
  db 0x80,0x48,0xFC,0x08,0x08,0xF8,0x00,0x00,0xFC,0x94,0x94,0xFC,0x94,0x94,0x94,0x0C

  db 9      ;-1
  db 0x02,0x01,0x7F,0x04,0x14,0x14,0x24,0x44,0x1F,0x08,0x04,0x02,0x01,0x02,0x0C,0x30
  db 10      ;-2
  db 0x00,0x08,0xFC,0x40,0x50,0x48,0x44,0x44,0xF0,0x20,0x40,0x80,0x00,0xC0,0x3C,0x08

  db 11      ;-1
  db 0x10,0x10,0x13,0x10,0xFC,0x10,0x37,0x38,0x54,0x51,0x91,0x12,0x14,0x10,0x11,0x10
  db 12      ;-2
  db 0x00,0x10,0xF8,0x00,0x00,0x04,0xFE,0x40,0x40,0x50,0x48,0x44,0x44,0x40,0x40,0x80

  db 15      ;-1
  db 0x04,0xFF,0x04,0x04,0x5F,0x50,0x57,0x75,0x17,0x74,0x57,0x55,0x95,0x27,0x44,0x80
  db 16      ;-2
  db 0x84,0xFE,0xA8,0xA4,0xFE,0x20,0xA0,0x24,0xA4,0xA4,0xA8,0x28,0x10,0xB2,0x4A,0x86

  db 17      ;-1
  db 0x20,0x21,0x21,0x21,0xF8,0x27,0x24,0x2F,0x30,0xE0,0x2F,0x20,0x21,0x22,0xA4,0x40
  db 18      ;-2
  db 0x10,0xF8,0x10,0xF0,0x00,0xBC,0xA4,0xBC,0x40,0x44,0xFE,0xE0,0x50,0x4E,0x44,0x40

  db 19      ;-1
  db 0x04,0x0E,0x78,0x08,0x08,0xFE,0x09,0x1C,0x1A,0x28,0x29,0x49,0x8A,0x08,0x08,0x08
  db 20      ;-2
  db 0x40,0x40,0x40,0x84,0xFE,0x84,0x28,0x20,0xA8,0xA4,0x22,0x22,0x20,0x20,0xA0,0x40

  db 21      ;-1
  db 0x00,0x00,0x00,0x3F,0x20,0x20,0x20,0x3E,0x22,0x22,0x22,0x2A,0x24,0x40,0x81,0x00
  db 22      ;-2
  db 0x80,0xA0,0x90,0xFC,0x80,0x80,0x84,0x44,0x48,0x48,0x30,0x20,0x62,0x92,0x0A,0x06

  db 23      ;-1
  db 0x00,0x78,0x48,0x50,0x51,0x62,0x55,0x48,0x48,0x4F,0x68,0x51,0x42,0x44,0x41,0x40
  db 24      ;-2
  db 0x40,0x40,0xA0,0xA0,0x10,0x08,0xF6,0x40,0x40,0xFC,0x40,0x50,0x4C,0x44,0x40,0x80

  db 25      ;-1
  db 0x02,0x01,0x7F,0x48,0x92,0x04,0x3F,0x22,0x23,0x24,0x2A,0x21,0x22,0x24,0x3F,0x20
  db 26      ;-2
  db 0x00,0x00,0xFE,0x22,0x14,0x00,0xF8,0x08,0xC8,0x48,0x88,0x08,0x88,0x08,0xF8,0x08

  db 27      ;-1
  db 0x02,0x01,0xF8,0x27,0x21,0x41,0x42,0x74,0xD7,0x51,0x51,0x52,0x54,0x77,0x50,0x00
  db 28      ;-2
  db 0x08,0x98,0xA0,0xFE,0x08,0x08,0x52,0xA4,0xBC,0x08,0x08,0x10,0xA4,0xFE,0x42,0x00

  db 29      ;-1
  db 0x02,0x02,0xFF,0x04,0x08,0x0B,0x10,0x10,0x30,0x5F,0x90,0x10,0x10,0x10,0x11,0x10
  db 30      ;-2
  db 0x00,0x04,0xFE,0x00,0x00,0xF8,0x10,0x20,0x44,0xFE,0x40,0x40,0x40,0x40,0x40,0x80

  db 128      ;-1
  db 0x10,0x10,0x10,0x1D,0x20,0x20,0x7B,0x90,0x11,0x7D,0x11,0x11,0x15,0x19,0x11,0x01
  db 129      ;-2
  db 0x90,0x90,0x90,0xFC,0x90,0x90,0xFE,0x00,0xF8,0x08,0x08,0xF8,0x08,0x08,0xF8,0x08

  db 130      ;-1
  db 0x10,0x08,0x04,0x3F,0x21,0x21,0x3F,0x21,0x21,0x3F,0x21,0x01,0xFF,0x01,0x01,0x01
  db 131      ;-2
  db 0x10,0x20,0x40,0xF8,0x08,0x08,0xF8,0x08,0x08,0xF8,0x00,0x04,0xFE,0x00,0x00,0x00

  db 132      ;-1
  db 0x00,0x00,0x7C,0x00,0x01,0xFE,0x10,0x10,0x20,0x24,0x42,0xFE,0x42,0x01,0x02,0x04
  db 133      ;-2
  db 0x40,0x40,0x40,0x44,0xFE,0x44,0x44,0x44,0x44,0x44,0x84,0x84,0x84,0x04,0x28,0x10

  db 134      ;-1
  db 0x00,0x00,0xFC,0x04,0x04,0x05,0x7D,0x42,0x44,0x40,0x40,0x43,0x4C,0xF0,0x41,0x06
  db 135      ;-2
  db 0x80,0x80,0x80,0x84,0xFE,0x08,0x88,0x88,0x88,0x50,0x50,0x20,0x50,0x88,0x0E,0x04

  db 136      ;-1
  db 0x00,0x00,0x08,0xFC,0x10,0x17,0x10,0x10,0x10,0x10,0x1D,0xF1,0x41,0x02,0x04,0x08
  db 137      ;-2
  db 0x80,0x80,0x80,0x80,0x84,0xFE,0x84,0x84,0x84,0x84,0x04,0x04,0x04,0x44,0x28,0x10

  db 138      ;-1
  db 0x10,0x08,0x04,0x04,0x7F,0x01,0x01,0x01,0xFF,0x01,0x02,0x02,0x04,0x08,0x30,0xC0
  db 139      ;-2
  db 0x10,0x18,0x20,0x48,0xFC,0x00,0x00,0x04,0xFE,0x00,0x80,0x80,0x40,0x30,0x0E,0x04

  db 140      ;-1
  db 0x10,0x1F,0x28,0x45,0x01,0x7F,0x40,0x9F,0x10,0x1F,0x10,0x1F,0x10,0x10,0x1F,0x10
  db 141      ;-2
  db 0x40,0x7C,0x90,0x08,0x00,0xFE,0x02,0xE4,0x20,0xE0,0x00,0xF0,0x10,0x10,0xF0,0x00

  db 142      ;-1
  db 0x00,0x1F,0x10,0x10,0x10,0x1F,0x00,0xFF,0x04,0x08,0x1F,0x00,0x00,0x00,0x00,0x00
  db 143      ;-2
  db 0x10,0xF8,0x10,0x10,0x10,0xF0,0x04,0xFE,0x00,0x00,0xF0,0x10,0x10,0x10,0xA0,0x40

  db 144      ;-1
  db 0x40,0x30,0x17,0x00,0x80,0x60,0x2F,0x08,0x10,0x10,0x23,0x62,0x22,0x22,0x23,0x22
  db 145      ;-2
  db 0x10,0x38,0xC0,0x40,0x40,0x44,0xFE,0x40,0x40,0x48,0xFC,0x08,0x08,0x08,0xF8,0x08

  db 146      ;-1
  db 0x02,0x44,0x2F,0x28,0x0F,0x88,0x4F,0x42,0x1F,0x24,0xC7,0x44,0x44,0x48,0x4B,0x50
  db 147      ;-2
  db 0x10,0x10,0x90,0x90,0xBE,0xC4,0xA4,0x28,0xA8,0x28,0x90,0x90,0xA8,0xA8,0x46,0x84

  db 148      ;-1
  db 0x00,0x20,0x17,0x10,0x00,0x00,0xF0,0x13,0x12,0x12,0x12,0x12,0x16,0x1A,0x11,0x00
  db 149      ;-2
  db 0x00,0x08,0xFC,0x08,0x08,0x08,0x08,0xF8,0x08,0x00,0x00,0x02,0x02,0x02,0xFE,0x00

  db 150      ;-1
  db 0x00,0x7F,0x08,0x08,0x08,0x08,0x08,0xFF,0x08,0x08,0x08,0x08,0x10,0x10,0x20,0x40
  db 151      ;-2
  db 0x08,0xFC,0x20,0x20,0x20,0x20,0x24,0xFE,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20

  db 152      ;-1
  db 0x00,0x00,0x3F,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x3F,0x20,0x00,0x00
  db 153      ;-2
  db 0x00,0x08,0xFC,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0xF8,0x08,0x00,0x00

  db 154      ;-1
  db 0x01,0x11,0x09,0x01,0x7F,0x01,0x05,0x09,0x11,0x01,0xFF,0x02,0x04,0x08,0x10,0x60
  db 155      ;-2
  db 0x00,0x10,0x20,0x08,0xFC,0x00,0x40,0x30,0x10,0x00,0xFE,0x80,0x40,0x20,0x1C,0x08

  db 156      ;-1
  db 0x00,0x13,0xFA,0x22,0x23,0x22,0xFA,0x23,0x20,0x20,0x23,0x3C,0xE0,0x40,0x0F,0x00
  db 157      ;-2
  db 0x08,0xFC,0x48,0x48,0xF8,0x48,0x48,0xF8,0x40,0x40,0xF8,0x40,0x40,0x44,0xFE,0x00

  db 158      ;-1
  db 0x01,0x01,0x02,0x04,0x0A,0x11,0x21,0xC0,0x1F,0x00,0x00,0x04,0x02,0x01,0x00,0x00
  db 159      ;-2
  db 0x00,0x00,0x80,0x40,0x20,0x10,0x0E,0x04,0xF0,0x10,0x20,0x40,0x80,0x00,0x80,0x80

  db 160      ;¼-1
  db 0x00,0x3F,0x00,0x00,0x1F,0x00,0x00,0xFF,0x01,0x11,0x09,0x05,0x09,0x11,0x65,0x02
  db 161      ;¼-2
  db 0x10,0xF8,0x10,0x10,0xF0,0x10,0x10,0xFE,0x08,0x10,0xA0,0x40,0x20,0x1E,0x04,0x00

  db 162      ;-1
  db 0x00,0x03,0x78,0x49,0x49,0x49,0x49,0x49,0x49,0x48,0x48,0x4F,0x78,0x48,0x00,0x00
  db 163      ;-2
  db 0x10,0xF8,0x10,0x10,0x10,0x10,0x10,0x10,0xFC,0x04,0x24,0xF4,0x04,0x04,0x14,0x08

  db 164      ;û-1
  db 0x40,0x31,0x11,0x01,0x81,0x62,0x24,0x03,0x12,0x21,0xE1,0x20,0x20,0x20,0x23,0x2C
  db 165      ;û-2
  db 0x10,0xF8,0x10,0x10,0x10,0x0E,0x00,0xF8,0x08,0x10,0x10,0xA0,0x40,0xA0,0x1E,0x08

  db 166      ;-1
  db 0x02,0x02,0x07,0x04,0x0C,0x12,0x01,0x06,0x18,0xE0,0x0F,0x08,0x08,0x08,0x0F,0x08
  db 167      ;-2
  db 0x00,0x10,0xF8,0x10,0x20,0x40,0x80,0x00,0x00,0x08,0xFC,0x08,0x08,0x08,0xF8,0x08

  db 168      ;-1
  db 0x04,0x1F,0x10,0x12,0x11,0xFF,0x10,0x12,0x21,0x40,0x3F,0x24,0x24,0x24,0xFF,0x00
  db 169      ;-2
  db 0x10,0xF8,0x10,0x10,0x10,0xFE,0x10,0x10,0x50,0x20,0xF8,0x48,0x48,0x48,0xFE,0x00

  db 170      ;-1
  db 0x01,0x00,0x1F,0x10,0x10,0x10,0x1F,0x10,0x10,0x10,0x17,0x24,0x24,0x44,0x87,0x04
  db 171      ;-2
  db 0x00,0x84,0xFE,0x04,0x04,0x04,0xFC,0x00,0x00,0x04,0xFE,0x04,0x04,0x04,0xFC,0x04

  db 172      ;ȡ-1
  db 0x01,0xFF,0x22,0x23,0x3E,0x22,0x22,0x3E,0x22,0x22,0x22,0x3E,0xE2,0x42,0x03,0x02
  db 173      ;ȡ-2
  db 0x00,0x80,0x00,0xFC,0x04,0x84,0x88,0x88,0x48,0x50,0x20,0x50,0x48,0x8E,0x04,0x00

  db 174      ;ȷ-1
  db 0x00,0x04,0xFE,0x10,0x11,0x23,0x25,0x7D,0xA5,0x25,0x25,0x25,0x25,0x3D,0x22,0x04
  db 175      ;ȷ-2
  db 0x40,0x40,0x78,0x90,0x20,0xFC,0x24,0x24,0xFC,0x24,0x24,0xFC,0x24,0x24,0x24,0x0C

  db 176      ;-1
  db 0x00,0x40,0x30,0x10,0x00,0x00,0xF0,0x10,0x10,0x11,0x11,0x15,0x1A,0x12,0x04,0x08
  db 177      ;-2
  db 0x40,0x40,0x40,0x40,0x40,0x40,0xA0,0xA0,0xA0,0x10,0x10,0x10,0x08,0x08,0x06,0x04

  db 178      ;ɾ-1
  db 0x00,0x7B,0x4A,0x4A,0x4A,0x4A,0x4A,0xFF,0x4A,0x4A,0x4A,0x4A,0x4A,0x5A,0x44,0x88
  db 179      ;ɾ-2
  db 0x04,0xC4,0x44,0x54,0x54,0x54,0x54,0xF4,0x54,0x54,0x54,0x54,0x44,0x44,0x54,0xC8

  db 180      ;ʧ-1
  db 0x01,0x11,0x11,0x11,0x1F,0x21,0x41,0x01,0xFF,0x01,0x02,0x02,0x04,0x08,0x10,0x60
  db 181      ;ʧ-2
  db 0x00,0x00,0x00,0x10,0xF8,0x00,0x00,0x04,0xFE,0x00,0x80,0x80,0x40,0x30,0x0E,0x04

  db 182      ;ʱ-1
  db 0x00,0x04,0x7E,0x44,0x47,0x44,0x44,0x7C,0x44,0x44,0x44,0x44,0x7C,0x44,0x00,0x00
  db 183      ;ʱ-2
  db 0x08,0x08,0x08,0x08,0xFE,0x08,0x08,0x88,0x48,0x48,0x08,0x08,0x08,0x48,0x28,0x10

  db 184      ;ͳ-1
  db 0x10,0x10,0x20,0x27,0x48,0xF9,0x12,0x27,0x41,0xF9,0x41,0x01,0x1A,0xE2,0x44,0x08
  db 185      ;ͳ-2
  db 0x80,0x40,0x48,0xFC,0x80,0x10,0x08,0xFC,0x24,0x20,0x20,0x20,0x22,0x22,0x1E,0x00

  db 186      ;-1
  db 0x00,0x3F,0x02,0x02,0x02,0x02,0x7F,0x02,0x02,0x04,0x04,0x08,0x08,0x10,0x20,0x40
  db 187      ;-2
  db 0x20,0xF0,0x00,0x00,0x00,0x08,0xFC,0x80,0x80,0x80,0x80,0x80,0x82,0x82,0x7E,0x00

  db 188      ;-1
  db 0x00,0x43,0x32,0x12,0x03,0x00,0xE0,0x27,0x20,0x20,0x2F,0x20,0x28,0x31,0x22,0x04
  db 189      ;-2
  db 0x08,0xFC,0x08,0x08,0xF8,0x00,0x08,0xFC,0x40,0x44,0xFE,0xA0,0xA0,0x10,0x0E,0x04

  db 190      ;ϵ-1
  db 0x00,0x7F,0x02,0x04,0x08,0x3F,0x01,0x06,0x18,0x3F,0x11,0x01,0x11,0x21,0x45,0x02
  db 191      ;ϵ-2
  db 0x38,0xC0,0x00,0x20,0x40,0x80,0x00,0x20,0x10,0xF8,0x08,0x00,0x10,0x08,0x08,0x00

  db 192      ;-1
  db 0x00,0x42,0x31,0x11,0x80,0x63,0x22,0x0A,0x13,0x22,0xE2,0x23,0x22,0x22,0x22,0x22
  db 193      ;-2
  db 0x40,0x48,0x50,0x60,0x40,0xF8,0x08,0x08,0xF8,0x08,0x08,0xF8,0x08,0x08,0x28,0x10

  db 194      ;Ч-1
  db 0x10,0x08,0x00,0xFF,0x24,0x22,0x41,0xA4,0x14,0x08,0x14,0x14,0x22,0x42,0x80,0x01
  db 195      ;Ч-2
  db 0x20,0x20,0x20,0x20,0x7E,0x84,0x44,0x44,0x48,0x28,0x28,0x10,0x28,0x28,0x46,0x84

  db 196      ;-1
  db 0x10,0x08,0x7F,0x00,0x22,0x14,0xFF,0x08,0x7F,0x08,0x0A,0x29,0x48,0x88,0x29,0x10
  db 197      ;-2
  db 0x00,0x0C,0x70,0x40,0x40,0x40,0x7E,0x48,0x48,0x48,0x48,0x48,0x88,0x88,0x08,0x08

  db 198      ;-1
  db 0x00,0x7F,0x12,0x12,0x12,0xFF,0x12,0x12,0x12,0x23,0x41,0x7F,0x01,0x01,0xFF,0x00
  db 199      ;-2
  db 0x04,0x84,0x24,0x24,0x24,0xA4,0x24,0x24,0x04,0x14,0x08,0xFC,0x00,0x04,0xFE,0x00

  db 200      ;-1
  db 0x00,0x00,0x7D,0x04,0x08,0x11,0x21,0x7D,0x05,0x05,0x49,0x29,0x10,0x28,0x47,0x80
  db 201      ;-2
  db 0x08,0x1C,0xE0,0x20,0x20,0x20,0x3C,0x20,0x20,0x20,0x20,0xFC,0x00,0x00,0xFE,0x00

  db 202      ;-1
  db 0x00,0x78,0x48,0x51,0x52,0x67,0x50,0x4B,0x48,0x4B,0x68,0x52,0x42,0x46,0x4A,0x41
  db 203      ;-2
  db 0x80,0x90,0xF8,0x10,0x20,0xFC,0x04,0xFC,0x04,0xFC,0x04,0x80,0x64,0x2A,0x08,0xF8

  db 204      ;-1
  db 0x02,0x02,0xFF,0x04,0x04,0x0F,0x08,0x18,0x2F,0x48,0x88,0x0F,0x08,0x08,0x08,0x08
  db 205      ;-2
  db 0x00,0x04,0xFE,0x00,0x10,0xF8,0x10,0x10,0xF0,0x10,0x10,0xF0,0x10,0x10,0x50,0x20

  db 206      ;-1
  db 0x00,0x3F,0x01,0x01,0x01,0x01,0xFF,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x05,0x02
  db 207      ;-2
  db 0x10,0xF8,0x00,0x00,0x00,0x04,0xFE,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00

  db 208      ;-1
  db 0x02,0x3F,0x22,0x22,0x23,0x3E,0x22,0x22,0x3E,0x22,0x22,0x22,0x2F,0xF0,0x41,0x02
  db 209      ;-2
  db 0x20,0x20,0x20,0x24,0xFE,0x24,0x24,0x24,0x24,0x24,0x44,0x44,0x44,0x84,0x28,0x10

  db 210      ;-1
  db 0x01,0x02,0x04,0x1F,0x10,0x10,0x10,0x1F,0x10,0x10,0x1F,0x10,0x10,0x10,0x1F,0x10
  db 211      ;-2
  db 0x00,0x00,0x10,0xF8,0x10,0x10,0x10,0xF0,0x10,0x10,0xF0,0x10,0x10,0x10,0xF0,0x10

  db 212      ;-1
  db 0x09,0x09,0x09,0x11,0x12,0x32,0x54,0x98,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10
  db 213      ;-2
  db 0x00,0x00,0x04,0xFE,0x80,0x80,0x90,0xF8,0x80,0x80,0x88,0xFC,0x80,0x80,0x80,0x80

  db 214      ;־-1
  db 0x01,0x01,0x01,0xFF,0x01,0x01,0x01,0x3F,0x00,0x02,0x11,0x50,0x50,0x90,0x0F,0x00
  db 215      ;־-2
  db 0x00,0x00,0x04,0xFE,0x00,0x00,0x00,0xFC,0x00,0x00,0x80,0x84,0x12,0x12,0xF0,0x00

  db 216      ;-1
  db 0x08,0x08,0x0F,0x10,0x10,0x33,0x30,0x50,0x93,0x10,0x10,0x13,0x12,0x12,0x12,0x13
  db 217      ;-2
  db 0x80,0x44,0xFE,0x00,0x08,0xFC,0x00,0x08,0xFC,0x00,0x08,0xFC,0x08,0x08,0x08,0xF8

  db 218      ;Ϣ-1
  db 0x02,0x1F,0x10,0x10,0x1F,0x10,0x10,0x1F,0x10,0x10,0x1F,0x02,0x51,0x50,0x90,0x0F
  db 219      ;Ϣ-2
  db 0x00,0xF0,0x10,0x10,0xF0,0x10,0x10,0xF0,0x10,0x10,0xF0,0x00,0x84,0x92,0x12,0xF0

  db 220      ;-1
  db 0x20,0x20,0x20,0xFD,0x22,0x45,0x50,0x93,0xFA,0x13,0x3A,0xD3,0x12,0x12,0x12,0x12
  db 221      ;-2
  db 0x40,0xA0,0xA0,0x10,0x0E,0xF4,0x00,0xC4,0x54,0xD4,0x54,0xD4,0x54,0x44,0x44,0xCC

  db 222      ;-1
  db 0x04,0x02,0x01,0x01,0x01,0x02,0x02,0x02,0x04,0x04,0x08,0x08,0x10,0x20,0x40,0x80
  db 223      ;-2
  db 0x00,0x00,0x00,0x00,0x00,0x80,0x80,0x80,0x40,0x40,0x20,0x20,0x10,0x10,0x0E,0x04

  db 224      ;-1
  db 0x04,0x04,0xFF,0x04,0x00,0x3F,0x12,0x09,0x01,0xFF,0x03,0x05,0x09,0x11,0x61,0x01
  db 225      ;-2
  db 0x40,0x44,0xFE,0x40,0x38,0xC0,0x10,0x20,0x04,0xFE,0x80,0x40,0x30,0x0E,0x04,0x00

  db 226      ;-1
  db 0x08,0x08,0x7F,0x08,0x0F,0x08,0x0F,0x08,0xFF,0x04,0x09,0x31,0xCF,0x01,0x01,0x3F
  db 227      ;-2
  db 0x20,0x20,0xFC,0x20,0xE0,0x20,0xE0,0x24,0xFE,0x40,0x30,0x0E,0xE4,0x00,0x10,0xF8

  db 228      ;-1
  db 0x01,0x01,0x01,0x01,0x7F,0x05,0x05,0x05,0x09,0x09,0x11,0x2F,0xC1,0x01,0x01,0x01
  db 229      ;-2
  db 0x00,0x00,0x00,0x08,0xFC,0x40,0x40,0x40,0x20,0x20,0x10,0xEE,0x04,0x00,0x00,0x00

  db 230      ;-1
  db 0x00,0x04,0x04,0x08,0x08,0x10,0x20,0x5F,0x84,0x04,0x04,0x04,0x08,0x08,0x11,0x20
  db 231      ;-2
  db 0x80,0x80,0x40,0x40,0x20,0x10,0x08,0xEE,0x24,0x20,0x20,0x20,0x20,0x20,0x40,0x80

  db 232      ;-1
  db 0x00,0x3F,0x20,0x28,0x24,0x22,0x21,0x20,0x21,0x22,0x24,0x28,0x20,0x20,0x3F,0x00
  db 233      ;-2
  db 0x08,0xFC,0x00,0x08,0x18,0x20,0x40,0x80,0x40,0x30,0x18,0x08,0x00,0x04,0xFE,0x00

  db 234      ;Ĭ-1
  db 0x00,0x7F,0x49,0x6B,0x5D,0x7F,0x08,0x7F,0x08,0x0F,0x78,0x05,0x55,0x54,0x91,0x02
  db 235      ;Ĭ-2
  db 0x20,0x20,0x28,0x24,0x20,0xFE,0x20,0x20,0x20,0x20,0x20,0x50,0x50,0x88,0x0E,0x04

  db 236      ;-1
  db 0x00,0x3F,0x01,0xFF,0x01,0x1F,0x11,0x1F,0x11,0x1F,0x01,0x3F,0x01,0x01,0xFF,0x00
  db 237      ;-2
  db 0x38,0xC0,0x00,0xFE,0x00,0xF0,0x10,0xF0,0x10,0xF0,0x00,0xF8,0x00,0x04,0xFE,0x00

  db 238      ;-1
  db 0x10,0x10,0x11,0x11,0xFD,0x11,0x15,0x19,0x30,0xD3,0x10,0x10,0x10,0x10,0x50,0x23
  db 239      ;-2
  db 0x20,0xAC,0x24,0x24,0xAC,0x24,0x24,0xFC,0x20,0xFC,0x88,0x50,0x20,0x50,0x8E,0x04

  db 240      ;-1
  db 0x01,0x01,0x3F,0x01,0x7F,0x42,0x84,0x0F,0x01,0x02,0x3F,0x01,0x09,0x11,0x25,0x02
  db 241      ;-2
  db 0x00,0x10,0xF8,0x00,0xFE,0x02,0x24,0xC0,0x00,0x10,0xF8,0x08,0x20,0x18,0x08,0x00

  db  244     ; brand 1
  db  0x00,0x00,0x00,0x00,0x07,0x0c,0x08,0x08,0x0c,0x07,0x00,0x00,0x00,0x00,0xfe,0x00
  db  245     ; brand 2
  db  0x01,0x01,0x01,0x01,0xfd,0x01,0x1f,0x1f,0x03,0xf7,0x0d,0x19,0x31,0x61,0xff,0xff
  db  246     ; brand 3
  db  0x80,0x80,0x80,0x80,0xbf,0x80,0xf0,0xf8,0x98,0x9b,0x98,0x98,0x98,0x98,0x9e,0x9e
  db  247     ; brand 4
  db  0x00,0x00,0x00,0x00,0xff,0x00,0x00,0x00,0x00,0xf0,0x18,0x08,0x08,0x18,0xf0,0x00

  db  248     ; left vertical line
  db  0xC0,0xC0,0xC0,0xC0,0xC0,0xC0,0xC0,0xC0,0xC0,0xC0,0xC0,0xC0,0xC0,0xC0,0xC0,0xC0
  db  249     ; right vertical line
  db  0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x03
  db  250     ; bottom horizontal line
  db  0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF
  db  251     ; bottom left corner
  db  0xC0,0xC0,0xC0,0xC0,0xC0,0xC0,0xC0,0xC0,0xC0,0xC0,0xC0,0xC0,0xC0,0xC0,0xFF,0xFF
  db  252     ; bottom right corner
  db  0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x03,0xFF,0xFF

; strings
; all strings are zero ending,
; use 0x0d to break string into multi-lines.
string:
; used in main window and boot menu.
.main_win_title     db  170,171,' ',132,133,' ',224,225,' ',130,131,0
.menu_title         db  '   ',11,12,'  ',214,215,'   ',7,8,'  ',142,143
                    db  '  ',154,155,'  ',198,199,'   ',166,167,'  ',19,20,0

; window titles.
.about              db  138,139,'  ',206,207,0
.error              db  128,129,'  ',188,189,0
.help               db  3,4,'  ',208,209,0
.info               db  216,217,'  ',218,219,0
.input              db  220,221,'  ',222,223,0

; used in input boxes.
.delay_time         db  200,201,' ',182,183,': ',0
.name               db  166,167,' ',19,20,': ',0
.new_root_passwd    db  196,197
.root_passwd        db  140,141,156,157,152,153,158,159,': ',0
.new_record_passwd  db  196,197
.record_passwd      db  170,171,132,133,148,149,160,161,152,153,158,159,': ',0
.retype_passwd      db  174,175,176,177,152,153,158,159,': ',0

; copyright infomation, displayed at the top of the screen.
.copyright          db  ' Smart Boot Manager 3.0 | Copyright (C) 2000 Suzhe',0

; hint message, displayed at the bottom of the screen.
.hint               db  ' F1-',3,4,' ',208,209
                    db  '  Ctrl+F1-',138,139,' ',206,207
                    db  '  F2-',5,6,' ',29,30
                    db  '  F3-',134,135,' ',166,167
                    db  '  F4-',146,147,' ',144,145
                    db  '  F5-',202,203,' ',15,16,0

; about infomation.
.about_content      db  '         Smart Boot Manager 3.0',0x0d
                    db  '    Copyright (C) 2000 Suzhe <suzhe@263.net>',0x0d,0x0d
                    db  '  This is free software, you can redistribute',0x0d
                    db  '  it and/or modify it under the terms of the',0x0d
                    db  '     GNU General Public License version 2.',0x0d,0x0d
                    db  'This program comes with ABSOLUTELY NO WARRANTY!',0

; help infomation.
.help_content:
                    db  '      F1     ',3,4,'    ',208,209,0x0d
                    db  '      F2     ',5,6,29,30,134,135,9,10,0x0d
                    db  '      F3     ',134,135,9,10,170,171,132,133,148,149,160,161,166,167,19,20,0x0d
                    db  '      F4     ',146,147,144,145,226,227,228,229,230,231,232,233,0x0d
                    db  '      F5     ',202,203,15,16,' (',172,173,192,193,202,203,15,16,') ',230,231,232,233,0x0d
                    db  '      F6     ',150,151,138,139,210,211,132,133,146,147,144,145,11,12,214,215,' (',226,227,228,229,230,231,232,233,')',0x0d
                    db  '      F7     ',150,151,138,139,210,211,132,133,202,203,15,16,11,12,214,215,' (',230,231,232,233,')',0x0d
                    db  '      F8     ',11,12,148,149,234,235,176,177,170,171,132,133,148,149,160,161,0x0d
                    db  'Shift+F8     ',172,173,192,193,234,235,176,177,170,171,132,133,148,149,160,161,0x0d
                    db  '      F9     ',134,135,9,10,170,171,132,133,148,149,160,161,152,153,158,159,0x0d
                    db  '     F10     ',134,135,9,10,140,141,156,157,152,153,158,159,0x0d
                    db  '  Ctrl+D     ',178,179,23,24,170,171,132,133,148,149,160,161,0x0d
                    db  '  Ctrl+T     ',134,135,9,10,200,201,182,183,0x0d
                    db  '  Ctrl+I     ',236,237,196,197,238,239,240,241,170,171,132,133,148,149,160,161,0
                    
; normal messages.
.changes_saved      db  5,6,' ',29,30,' ',21,22,' ',136,137,'.',0
.passwd_changed     db  152,153,158,159,134,135,9,10,21,22,136,137,'.',0
.ask_save_changes   db  5,6,29,30,134,135,9,10,162,163,' (y/n)?',0

; error messages.
.wrong_passwd       db  152,153,' ',158,159,' ',128,129,' ',188,189,' !',0
.disk_error         db  27,28,' ',168,169,' ',128,129,' ',188,189,' !',0
.mark_act_failed    db  146,147,' ',144,145,' ',180,181,' ',1,2,' !',0
.toggle_hid_failed  db  202,203,' ',15,16,' ',180,181,' ',1,2,' !',0
.no_system          db  164,165,204,205,17,18,212,213,190,191,184,185,' !',0
.invalid_record     db  170,171,132,133,148,149,160,161,186,187,194,195,' !',0

; END OF THEME.
end_of_theme:

